Summary:    Utility to set/show the host name or domain name
Name:       hostname
Version:    3.23
Release:    5%{?dist}
License:    GPLv2+
URL:        http://packages.qa.debian.org/h/hostname.html
Source0:    http://ftp.de.debian.org/debian/pool/main/h/hostname/hostname_%{version}.tar.gz
Source1:    https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Source2:    nis-domainname
Source3:    nis-domainname.service

Patch3000:  hostname-rh.patch

BuildRequires: gcc make

%description
This package provides commands that can display the system's DNS name,
and show or set the system's hostname or NIS domain name.

%prep
%setup -q -n hostname
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%patch3000 -p1

%build
make CFLAGS="$CFLAGS -D_GNU_SOURCE" LDFLAGS="$RPM_LD_FLAGS"

%install
make BASEDIR=%{buildroot} BINDIR=%{_bindir} install

install -m 0755 -d %{buildroot}%{_libexecdir}/%{name}
install -m 0755 -d %{buildroot}%{_prefix}/lib/systemd/system
install -m 0755 %{SOURCE2} %{buildroot}%{_libexecdir}/%{name}
install -m 0644 %{SOURCE3} %{buildroot}%{_prefix}/lib/systemd/system

%post
if [ $1 -eq 1 ]; then
  systemctl --no-reload preset nis-domainname.service &>/dev/null || :
fi

%preun
if [ $1 -eq 0 ]; then
  systemctl --no-reload disable --now nis-domainname.service &>/dev/null || :
fi

%files
%license COPYRIGHT gpl-2.0.txt
%{_mandir}/man1/*
%{_bindir}/*
%{_prefix}/lib/systemd/system/*
%{_libexecdir}/%{name}

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.23-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.23-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.23-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.23-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Apr 12 2022 Minjie HUANG <jackmjhuang@tencent.com> - 3.23-1
- Initial build.